STRUCT TEMPLATE IM(3)

NAME
boost::proto::when<Grammar,_>::impl

SYNOPSIS

// In header: <boost/proto/transform/when.hpp>
template<typename Expr, typename State, typename Data>
struct impl :
    boost::remove_reference< Data >::type
      ::template when< Grammar >
        ::template impl< Expr, State, Data >
{
};